Debian Bug report logs - #614419
installation-reports: kfreebsd-i386 netboot installer doesn't detect ethernet device

version graph

Package: kfreebsd-8; Maintainer for kfreebsd-8 is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>;

Reported by: Harald Geyer <harald@lefant.net>

Date: Mon, 21 Feb 2011 21:18:01 UTC

Severity: important

Tags: d-i

Fixed in version 8.3-7+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, harald@lefant.net, Debian Install Team <debian-boot@lists.debian.org>:
Bug#614419; Package installation-reports. (Mon, 21 Feb 2011 21:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Harald Geyer <harald@lefant.net>:
New Bug report received and forwarded. Copy sent to harald@lefant.net, Debian Install Team <debian-boot@lists.debian.org>. (Mon, 21 Feb 2011 21:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Harald Geyer <harald@lefant.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: installation-reports: kfreebsd-i386 netboot installer doesn't detect ethernet device
Date: Mon, 21 Feb 2011 22:09:00 +0100
Package: installation-reports
Severity: important
Tags: d-i



-- Package-specific info:

Boot method: network
Image version: official squeeze netboot.tar.gz
Date: Mon Feb 21 20:47:22 CET 2011

Machine: Compaq Deskpro EN
Partitions: <df -Tl will do; the raw partition table is preferred>
Filesystem    Type   1K-blocks      Used Available Use% Mounted on
/dev/sda1     ext3    18754428    941896  16859856   6% /
tmpfs        tmpfs      126852         0    126852   0% /lib/init/rw
udev         tmpfs      122500       124    122376   1% /dev
tmpfs        tmpfs      126852         0    126852   0% /dev/shm


Base System Installation Checklist:
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Initial boot:           [O]
Detect network card:    [E]
Configure network:      [ ]
Detect CD:              [ ]
Load installer modules: [ ]
Detect hard drives:     [ ]
Partition hard drives:  [ ]
Install base system:    [ ]
Clock/timezone setup:   [ ]
User/password setup:    [ ]
Install tasks:          [ ]
Install boot loader:    [ ]
Overall install:        [ ]

Comments/Problems:

Booting the kfreebsd-i386 installer via DHCP went fine. However then the
installer reported that it didn't find any network interface. At first
I thought this was some firmware issue (on linux the interfaces uses the
e100 driver) but then I tried the i386 netboot installer and this time
(with linux) the installation went ok without any manual actions related
to firmware. So obviously firmware is no excuse for kfreebsd not
detecting the interface.

When looking around in the shell of the (kfreebsd) installer, I also 
noticed that there seemed no USB support at all, that is no way to
mount usb storage or activate usb wifi. - But I don't have much
experience with *BSD at all, so maybe I just didn't do the right
thing...

I'm now writing this installation report from this very machine, but
with linux installed not kfreebsd. So the information below is linux
output despite the report primarly concerning kfreebsd.

If there is anything I can do to help you debug/fix this: Please let
me know.
-- 

Please make sure that the hardware-summary log file, and any other
installation logs that you think would be useful are attached to this
report. Please compress large files using gzip.

Once you have filled out this report, mail it to submit@bugs.debian.org.

==============================================
Installer lsb-release:
==============================================
DISTRIB_ID=Debian
DISTRIB_DESCRIPTION="Debian GNU/Linux installer"
DISTRIB_RELEASE="6.0 (squeeze) - installer build 20110106+b1"
X_INSTALLATION_MEDIUM=netboot

==============================================
Installer hardware-summary:
==============================================
uname -a: Linux stardust 2.6.32-5-486 #1 Fri Dec 10 15:32:53 UTC 2010 i686 GNU/Linux
lspci -knn: 00:00.0 Host bridge [0600]: Intel Corporation 82815 815 Chipset Host Bridge and Memory Controller Hub [8086:1130] (rev 04)
lspci -knn: 	Kernel driver in use: agpgart-intel
lspci -knn: 00:02.0 VGA compatible controller [0300]: Intel Corporation 82815 Chipset Graphics Controller (CGC) [8086:1132] (rev 04)
lspci -knn: 	Subsystem: Compaq Computer Corporation Device [0e11:001a]
lspci -knn: 00:1e.0 PCI bridge [0604]: Intel Corporation 82801 PCI Bridge [8086:244e] (rev 02)
lspci -knn: 00:1f.0 ISA bridge [0601]: Intel Corporation 82801BA ISA Bridge (LPC) [8086:2440] (rev 02)
lspci -knn: 00:1f.1 IDE interface [0101]: Intel Corporation 82801BA IDE U100 Controller [8086:244b] (rev 02)
lspci -knn: 	Subsystem: Intel Corporation Device [8086:2411]
lspci -knn: 	Kernel driver in use: ata_piix
lspci -knn: 00:1f.3 SMBus [0c05]: Intel Corporation 82801BA/BAM SMBus Controller [8086:2443] (rev 02)
lspci -knn: 	Subsystem: Intel Corporation Device [8086:2411]
lspci -knn: 00:1f.4 USB Controller [0c03]: Intel Corporation 82801BA/BAM USB Controller #1 [8086:2444] (rev 02)
lspci -knn: 	Subsystem: Intel Corporation Device [8086:2411]
lspci -knn: 	Kernel driver in use: uhci_hcd
lspci -knn: 00:1f.5 Multimedia audio controller [0401]: Intel Corporation 82801BA/BAM AC'97 Audio Controller [8086:2445] (rev 02)
lspci -knn: 	Subsystem: Compaq Computer Corporation Device [0e11:000f]
lspci -knn: 02:08.0 Ethernet controller [0200]: Intel Corporation 82801BA/BAM/CA/CAM Ethernet Controller [8086:2449] (rev 01)
lspci -knn: 	Subsystem: Compaq Computer Corporation Device [0e11:0012]
lspci -knn: 	Kernel driver in use: e100
usb-list: 
usb-list: Bus 01 Device 01: UHCI Host Controller [1d6b:0001]
usb-list:    Level 00 Parent 00 Port 00  Class 09(hub  ) Subclass 00 Protocol 00
usb-list:    Manufacturer: Linux 2.6.32-5-486 uhci_hcd
usb-list:    Interface 00: Class 09(hub  ) Subclass 00 Protocol 00 Driver hub
lsmod: Module                  Size  Used by
lsmod: ufs                    55534  0 
lsmod: qnx4                    5078  0 
lsmod: ntfs                  162591  0 
lsmod: reiserfs              173392  0 
lsmod: dm_mod                 45913  0 
lsmod: md_mod                 66067  0 
lsmod: xfs                   404874  0 
lsmod: exportfs                2486  1 xfs
lsmod: jfs                   133416  0 
lsmod: ext4                  240321  0 
lsmod: jbd2                   48423  1 ext4
lsmod: crc16                   1027  1 ext4
lsmod: ext3                   92732  1 
lsmod: jbd                    27954  1 ext3
lsmod: btrfs                 359644  0 
lsmod: zlib_deflate           15770  1 btrfs
lsmod: crc32c                  2172  1 
lsmod: libcrc32c                762  1 btrfs
lsmod: vfat                    6538  0 
lsmod: fat                    34480  1 vfat
lsmod: ext2                   45198  0 
lsmod: mbcache                 3482  3 ext4,ext3,ext2
lsmod: ide_generic              801  0 [permanent]
lsmod: ide_core               59670  1 ide_generic
lsmod: sg                     16467  0 
lsmod: sr_mod                 10734  0 
lsmod: cdrom                  26475  1 sr_mod
lsmod: sd_mod                 25925  3 
lsmod: crc_t10dif              1012  1 sd_mod
lsmod: ata_generic             2059  0 
lsmod: ata_piix               17884  2 
lsmod: parport_pc             15747  0 
lsmod: parport                22170  1 parport_pc
lsmod: libata                117307  2 ata_generic,ata_piix
lsmod: rsrc_nonstatic          7061  0 
lsmod: pcmcia_core            20510  1 rsrc_nonstatic
lsmod: usb_storage            30413  0 
lsmod: scsi_mod              102285  5 sg,sr_mod,sd_mod,libata,usb_storage
lsmod: vga16fb                 7651  2 
lsmod: vgastate                5662  1 vga16fb
lsmod: fan                     2590  0 
lsmod: uhci_hcd               16021  0 
lsmod: e100                   22249  0 
lsmod: thermal                 9210  0 
lsmod: ehci_hcd               27989  0 
lsmod: mii                     2654  1 e100
lsmod: thermal_sys             9346  2 fan,thermal
lsmod: floppy                 41131  0 
lsmod: usbcore                98205  4 usb_storage,uhci_hcd,ehci_hcd
lsmod: nls_base                4445  5 ntfs,jfs,vfat,fat,usbcore
df: Filesystem           1K-blocks      Used Available Use% Mounted on
df: tmpfs                   127156        28    127128   0% /dev
df: /dev/sda1             18754428    933512  16868240   5% /target
df: /dev/sda1             18754428    933512  16868240   5% /dev/.static/dev
df: tmpfs                   127156        28    127128   0% /target/dev
free:               total         used         free       shared      buffers
free:   Mem:       254312       187424        66888            0         2572
free:  Swap:       494584          624       493960
free: Total:       748896       188048       560848
/proc/cmdline: vga=788 initrd=debian-installer/i386/initrd.gz -- quiet BOOT_IMAGE=debian-installer/i386/linux 
/proc/cpuinfo: processor	: 0
/proc/cpuinfo: vendor_id	: GenuineIntel
/proc/cpuinfo: cpu family	: 6
/proc/cpuinfo: model		: 8
/proc/cpuinfo: model name	: Pentium III (Coppermine)
/proc/cpuinfo: stepping	: 10
/proc/cpuinfo: cpu MHz		: 996.646
/proc/cpuinfo: cache size	: 256 KB
/proc/cpuinfo: fdiv_bug	: no
/proc/cpuinfo: hlt_bug		: no
/proc/cpuinfo: f00f_bug	: no
/proc/cpuinfo: coma_bug	: no
/proc/cpuinfo: fpu		: yes
/proc/cpuinfo: fpu_exception	: yes
/proc/cpuinfo: cpuid level	: 2
/proc/cpuinfo: wp		: yes
/proc/cpuinfo: flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pse36 mmx fxsr sse
/proc/cpuinfo: bogomips	: 1993.29
/proc/cpuinfo: clflush size	: 32
/proc/cpuinfo: cache_alignment	: 32
/proc/cpuinfo: address sizes	: 36 bits physical, 32 bits virtual
/proc/cpuinfo: power management:
/proc/cpuinfo: 
/proc/ioports: 0000-001f : dma1
/proc/ioports: 0020-0021 : pic1
/proc/ioports: 0040-0043 : timer0
/proc/ioports: 0050-0053 : timer1
/proc/ioports: 0060-0060 : keyboard
/proc/ioports: 0064-0064 : keyboard
/proc/ioports: 0070-0071 : rtc0
/proc/ioports: 0080-008f : dma page reg
/proc/ioports: 00a0-00a1 : pic2
/proc/ioports: 00c0-00df : dma2
/proc/ioports: 00f0-00ff : fpu
/proc/ioports: 0170-0177 : 0000:00:1f.1
/proc/ioports:   0170-0177 : ata_piix
/proc/ioports: 01f0-01f7 : 0000:00:1f.1
/proc/ioports:   01f0-01f7 : ata_piix
/proc/ioports: 02f8-02ff : serial
/proc/ioports: 0376-0376 : 0000:00:1f.1
/proc/ioports:   0376-0376 : ata_piix
/proc/ioports: 0378-037a : parport0
/proc/ioports: 03c0-03df : vga+
/proc/ioports: 03f2-03f2 : floppy
/proc/ioports: 03f4-03f5 : floppy
/proc/ioports: 03f6-03f6 : 0000:00:1f.1
/proc/ioports:   03f6-03f6 : ata_piix
/proc/ioports: 03f7-03f7 : floppy
/proc/ioports: 03f8-03ff : serial
/proc/ioports: 0400-041f : pnp 00:0d
/proc/ioports: 0420-043f : pnp 00:0d
/proc/ioports: 0440-045f : pnp 00:0d
/proc/ioports: 0460-047f : pnp 00:0d
/proc/ioports:   0460-0461 : ACPI PM1b_CNT_BLK
/proc/ioports: 04d0-04d1 : pnp 00:0c
/proc/ioports: 0cf8-0cff : PCI conf1
/proc/ioports: 1000-1fff : PCI Bus 0000:02
/proc/ioports:   1000-103f : 0000:02:08.0
/proc/ioports:     1000-103f : e100
/proc/ioports: 2000-20ff : 0000:00:1f.5
/proc/ioports: 2400-243f : 0000:00:1f.5
/proc/ioports: 2440-245f : 0000:00:1f.4
/proc/ioports:   2440-245f : uhci_hcd
/proc/ioports: 2460-246f : 0000:00:1f.1
/proc/ioports:   2460-246f : ata_piix
/proc/ioports: f800-f87f : 0000:00:1f.0
/proc/ioports:   f800-f803 : ACPI PM1a_EVT_BLK
/proc/ioports:   f804-f805 : ACPI PM1a_CNT_BLK
/proc/ioports:   f808-f80b : ACPI PM_TMR
/proc/ioports:   f828-f82b : ACPI GPE0_BLK
/proc/ioports: fa00-fa3f : 0000:00:1f.0
/proc/ioports:   fa00-fa3f : pnp 00:0d
/proc/ioports: fc00-fc0f : 0000:00:1f.3
/proc/ioports: fc80-fcff : pnp 00:0d
/proc/ioports: fe00-fe7f : pnp 00:0d
/proc/ioports: fe80-feff : pnp 00:0d
/proc/iomem: 00000000-0009fbff : System RAM
/proc/iomem: 0009fc00-0009ffff : reserved
/proc/iomem: 000a0000-000bffff : Video RAM area
/proc/iomem: 000c0000-000c9fff : Video ROM
/proc/iomem: 000d7800-000d7fff : pnp 00:0e
/proc/iomem: 000e0000-000fffff : reserved
/proc/iomem:   000f0000-000fffff : System ROM
/proc/iomem: 00100000-0fecffff : System RAM
/proc/iomem:   01000000-0124848e : Kernel code
/proc/iomem:   0124848f-01367bff : Kernel data
/proc/iomem:   013d7000-01453a27 : Kernel bss
/proc/iomem: 0fed0000-0feeffff : ACPI Non-volatile Storage
/proc/iomem: 0fef0000-0fefffff : System RAM
/proc/iomem: 0ff00000-0fffffff : RAM buffer
/proc/iomem: 40000000-402fffff : PCI Bus 0000:02
/proc/iomem:   40000000-40000fff : 0000:02:08.0
/proc/iomem:     40000000-40000fff : e100
/proc/iomem: 40300000-4037ffff : 0000:00:02.0
/proc/iomem: 44000000-47ffffff : 0000:00:02.0
/proc/iomem: fec00000-fec00fff : IOAPIC 0
/proc/iomem: fee00000-fee00fff : Local APIC
/proc/iomem: feea0000-ffffffff : reserved
/proc/iomem:   feea0000-feebffff : pnp 00:0e
/proc/iomem:   ffb80000-ffbfffff : pnp 00:0e
/proc/iomem:   fff80000-ffffffff : pnp 00:0e
/proc/interrupts:            CPU0       
/proc/interrupts:   0:         45   IO-APIC-edge      timer
/proc/interrupts:   1:        515   IO-APIC-edge      i8042
/proc/interrupts:   6:          8   IO-APIC-edge      floppy
/proc/interrupts:   7:          0   IO-APIC-edge      parport0
/proc/interrupts:   8:          1   IO-APIC-edge      rtc0
/proc/interrupts:   9:          0   IO-APIC-fasteoi   acpi
/proc/interrupts:  12:          3   IO-APIC-edge      i8042
/proc/interrupts:  14:      88338   IO-APIC-edge      ata_piix
/proc/interrupts:  15:        168   IO-APIC-edge      ata_piix
/proc/interrupts:  20:     219047   IO-APIC-fasteoi   eth0
/proc/interrupts:  23:          0   IO-APIC-fasteoi   uhci_hcd:usb1
/proc/interrupts: NMI:          0   Non-maskable interrupts
/proc/interrupts: LOC:     176796   Local timer interrupts
/proc/interrupts: SPU:          0   Spurious interrupts
/proc/interrupts: PMI:          0   Performance monitoring interrupts
/proc/interrupts: PND:          0   Performance pending work
/proc/interrupts: ERR:          0
/proc/interrupts: MIS:          0
/proc/meminfo: MemTotal:         254312 kB
/proc/meminfo: MemFree:           66888 kB
/proc/meminfo: Buffers:            2572 kB
/proc/meminfo: Cached:           163584 kB
/proc/meminfo: SwapCached:          396 kB
/proc/meminfo: Active:            73484 kB
/proc/meminfo: Inactive:          65168 kB
/proc/meminfo: Active(anon):        688 kB
/proc/meminfo: Inactive(anon):     4056 kB
/proc/meminfo: Active(file):      72796 kB
/proc/meminfo: Inactive(file):    61112 kB
/proc/meminfo: Unevictable:       32220 kB
/proc/meminfo: Mlocked:               0 kB
/proc/meminfo: HighTotal:             0 kB
/proc/meminfo: HighFree:              0 kB
/proc/meminfo: LowTotal:         254312 kB
/proc/meminfo: LowFree:           66888 kB
/proc/meminfo: SwapTotal:        494584 kB
/proc/meminfo: SwapFree:         493960 kB
/proc/meminfo: Dirty:               440 kB
/proc/meminfo: Writeback:             0 kB
/proc/meminfo: AnonPages:          4380 kB
/proc/meminfo: Mapped:             2060 kB
/proc/meminfo: Shmem:                28 kB
/proc/meminfo: Slab:              10680 kB
/proc/meminfo: SReclaimable:       7664 kB
/proc/meminfo: SUnreclaim:         3016 kB
/proc/meminfo: KernelStack:         512 kB
/proc/meminfo: PageTables:          380 kB
/proc/meminfo: NFS_Unstable:          0 kB
/proc/meminfo: Bounce:                0 kB
/proc/meminfo: WritebackTmp:          0 kB
/proc/meminfo: CommitLimit:      621740 kB
/proc/meminfo: Committed_AS:       9312 kB
/proc/meminfo: VmallocTotal:     771064 kB
/proc/meminfo: VmallocUsed:        4988 kB
/proc/meminfo: VmallocChunk:     763812 kB
/proc/meminfo: HugePages_Total:       0
/proc/meminfo: HugePages_Free:        0
/proc/meminfo: HugePages_Rsvd:        0
/proc/meminfo: HugePages_Surp:        0
/proc/meminfo: Hugepagesize:       4096 kB
/proc/meminfo: DirectMap4k:       15360 kB
/proc/meminfo: DirectMap4M:      245760 kB
/proc/bus/input/devices: I: Bus=0011 Vendor=0001 Product=0001 Version=ab41
/proc/bus/input/devices: N: Name="AT Translated Set 2 keyboard"
/proc/bus/input/devices: P: Phys=isa0060/serio0/input0
/proc/bus/input/devices: S: Sysfs=/devices/platform/i8042/serio0/input/input0
/proc/bus/input/devices: U: Uniq=
/proc/bus/input/devices: H: Handlers=kbd 
/proc/bus/input/devices: B: EV=120013
/proc/bus/input/devices: B: KEY=4 2000000 3803078 f800d001 feffffdf ffefffff ffffffff fffffffe
/proc/bus/input/devices: B: MSC=10
/proc/bus/input/devices: B: LED=7
/proc/bus/input/devices: 

-- System Information:
Debian Release: 6.0
  APT prefers squeeze-updates
  APT policy: (500, 'squeeze-updates'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/1 CPU core)
Locale: LANG=de_AT.UTF-8, LC_CTYPE=de_AT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#614419; Package installation-reports. (Fri, 25 Feb 2011 20:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Figueiredo <elmig@debianpt.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Fri, 25 Feb 2011 20:18:04 GMT) Full text and rfc822 format available.

Message #10 received at 614419@bugs.debian.org (full text, mbox):

From: Miguel Figueiredo <elmig@debianpt.org>
To: Harald Geyer <harald@lefant.net>, 614419@bugs.debian.org
Subject: Re: Bug#614419: installation-reports: kfreebsd-i386 netboot installer doesn't detect ethernet device
Date: Fri, 25 Feb 2011 20:15:10 +0000
A Segunda 21 Fevereiro 2011 21:09:00 Harald Geyer você escreveu:
> Package: installation-reports
> Severity: important
> Tags: d-i
> 
> 
> 
> -- Package-specific info:
> 
> Boot method: network
> Image version: official squeeze netboot.tar.gz
> Date: Mon Feb 21 20:47:22 CET 2011
> 
> Machine: Compaq Deskpro EN
> Partitions: <df -Tl will do; the raw partition table is preferred>
> Filesystem    Type   1K-blocks      Used Available Use% Mounted on
> /dev/sda1     ext3    18754428    941896  16859856   6% /
> tmpfs        tmpfs      126852         0    126852   0% /lib/init/rw
> udev         tmpfs      122500       124    122376   1% /dev
> tmpfs        tmpfs      126852         0    126852   0% /dev/shm
> 
> 
> Base System Installation Checklist:
> [O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it
> 
> Initial boot:           [O]
> Detect network card:    [E]
> Configure network:      [ ]
> Detect CD:              [ ]
> Load installer modules: [ ]
> Detect hard drives:     [ ]
> Partition hard drives:  [ ]
> Install base system:    [ ]
> Clock/timezone setup:   [ ]
> User/password setup:    [ ]
> Install tasks:          [ ]
> Install boot loader:    [ ]
> Overall install:        [ ]
> 
> Comments/Problems:
> 
> Booting the kfreebsd-i386 installer via DHCP went fine. However then the
> installer reported that it didn't find any network interface. At first
> I thought this was some firmware issue (on linux the interfaces uses the
> e100 driver) but then I tried the i386 netboot installer and this time
> (with linux) the installation went ok without any manual actions related
> to firmware. So obviously firmware is no excuse for kfreebsd not
> detecting the interface.
> 
> When looking around in the shell of the (kfreebsd) installer, I also
> noticed that there seemed no USB support at all, that is no way to
> mount usb storage or activate usb wifi. - But I don't have much
> experience with *BSD at all, so maybe I just didn't do the right
> thing...
> 
> I'm now writing this installation report from this very machine, but
> with linux installed not kfreebsd. So the information below is linux
> output despite the report primarly concerning kfreebsd.
> 
> If there is anything I can do to help you debug/fix this: Please let
> me know.

You can find info on what happens in the installation on console 4 and you have 
the install log /var/log/installer/syslog)
Can you send the install log (gzipped) ?

-- 
Melhores cumprimentos/Best regards,

Miguel Figueiredo
http://www.DebianPT.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#614419; Package installation-reports. (Sat, 26 Feb 2011 09:30:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Harald Geyer <harald@lefant.net>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sat, 26 Feb 2011 09:30:08 GMT) Full text and rfc822 format available.

Message #15 received at 614419@bugs.debian.org (full text, mbox):

From: Harald Geyer <harald@lefant.net>
To: 614419@bugs.debian.org
Subject: Re: Bug#614419: installation-reports: kfreebsd-i386 netboot installer doesn't detect ethernet device
Date: Sat, 26 Feb 2011 01:30:32 +0100
Hi!

Thanks for your fast response.

> You can find info on what happens in the installation on console 4 and you
> have the install log /var/log/installer/syslog)
> Can you send the install log (gzipped) ?

I found some logs in /var/log/syslog and it's just a few kB, so sending
it inline:


Feb 25 22:37:48 syslogd started: BusyBox v1.17.1
Feb 25 22:37:48 kernel: /proc/sys/kernel/printk: No such file or directory
Feb 25 22:37:48 kernel: klogd started: BusyBox v1.17.1 (Debian 1:1.17.1-8)
Feb 25 22:37:48 kernel: Copyright (c) 1992-2010 The FreeBSD Project.
Feb 25 22:37:48 kernel: Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
Feb 25 22:37:48 kernel: 	The Regents of the University of California. All rights reserved.
Feb 25 22:37:48 kernel: FreeBSD is a registered trademark of The FreeBSD Foundation.
Feb 25 22:37:48 kernel: #0 Tue Jan  4 16:41:50 UTC 2011 i386
Feb 25 22:37:48 kernel: Timecounter "i8254" frequency 1193182 Hz quality 0
Feb 25 22:37:48 kernel: CPU: Intel Pentium III (996.77-MHz 686-class CPU)
Feb 25 22:37:48 kernel:   Origin = "GenuineIntel"  Id = 0x68a  Family = 6  Model = 8  Stepping = 10
Feb 25 22:37:48 kernel:   Features=0x383fbff<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,APIC,SEP,MTRR,PGE,MCA,CMOV,PAT,PSE36,MMX,FXSR,SSE>
Feb 25 22:37:48 kernel: real memory  = 267190272 (254 MB)
Feb 25 22:37:48 kernel: avail memory = 205832192 (196 MB)
Feb 25 22:37:48 kernel: ACPI APIC Table: <COMPAQ SOLANO  >
Feb 25 22:37:48 kernel: ioapic0: Changing APIC ID to 8
Feb 25 22:37:48 kernel: ioapic0 <Version 2.0> irqs 0-23 on motherboard
Feb 25 22:37:48 kernel: kbd1 at kbdmux0
Feb 25 22:37:48 kernel: acpi0: <COMPAQ CPQ0004> on motherboard
Feb 25 22:37:48 kernel: acpi0: [ITHREAD]
Feb 25 22:37:48 kernel: acpi0: Power Button (fixed)
Feb 25 22:37:48 kernel: acpi0: reservation of 0, a0000 (3) failed
Feb 25 22:37:48 kernel: acpi0: reservation of 100000, fe00000 (3) failed
Feb 25 22:37:48 kernel: Timecounter "ACPI-fast" frequency 3579545 Hz quality 1000
Feb 25 22:37:48 kernel: acpi_timer0: <24-bit timer at 3.579545MHz> port 0xf808-0xf80b on acpi0
Feb 25 22:37:48 kernel: cpu0: <ACPI CPU> on acpi0
Feb 25 22:37:48 kernel: pcib0: <ACPI Host-PCI bridge> port 0xcf8-0xcff on acpi0
Feb 25 22:37:48 kernel: pci0: <ACPI PCI bus> on pcib0
Feb 25 22:37:48 kernel: vgapci0: <VGA-compatible display> mem 0x44000000-0x47ffffff,0x40300000-0x4037ffff irq 16 at device 2.0 on pci0
Feb 25 22:37:49 kernel: agp0: <Intel 82815 (i815 GMCH) SVGA controller> on vgapci0
Feb 25 22:37:49 kernel: pcib1: <ACPI PCI-PCI bridge> at device 30.0 on pci0
Feb 25 22:37:49 kernel: pci2: <ACPI PCI bus> on pcib1
Feb 25 22:37:49 kernel: pci2: <network, ethernet> at device 8.0 (no driver attached)
Feb 25 22:37:49 kernel: isab0: <PCI-ISA bridge> at device 31.0 on pci0
Feb 25 22:37:49 kernel: isa0: <ISA bus> on isab0
Feb 25 22:37:49 kernel: atapci0: <Intel ICH2 UDMA100 controller> port 0x1f0-0x1f7,0x3f6,0x170-0x177,0x376,0x2460-0x246f at device 31.1 on pci0
Feb 25 22:37:49 kernel: ata0: <ATA channel 0> on atapci0
Feb 25 22:37:49 kernel: ata0: [ITHREAD]
Feb 25 22:37:49 kernel: ata1: <ATA channel 1> on atapci0
Feb 25 22:37:49 kernel: ata1: [ITHREAD]
Feb 25 22:37:49 kernel: uhci0: <Intel 82801BA/BAM (ICH2) USB controller USB-B> port 0x2440-0x245f irq 23 at device 31.4 on pci0
Feb 25 22:37:49 kernel: uhci0: [ITHREAD]
Feb 25 22:37:49 kernel: usbus0: <Intel 82801BA/BAM (ICH2) USB controller USB-B> on uhci0
Feb 25 22:37:49 kernel: pci0: <multimedia, audio> at device 31.5 (no driver attached)
Feb 25 22:37:49 kernel: acpi_button0: <Power Button> on acpi0
Feb 25 22:37:49 kernel: atrtc0: <AT realtime clock> port 0x70-0x71 irq 8 on acpi0
Feb 25 22:37:49 kernel: atkbdc0: <Keyboard controller (i8042)> port 0x60,0x64 irq 1 on acpi0
Feb 25 22:37:49 kernel: atkbd0: <AT Keyboard> irq 1 on atkbdc0
Feb 25 22:37:49 kernel: kbd0 at atkbd0
Feb 25 22:37:49 kernel: atkbd0: [GIANT-LOCKED]
Feb 25 22:37:49 kernel: atkbd0: [ITHREAD]
Feb 25 22:37:49 kernel: ppc0: <Parallel port> port 0x378-0x37f,0x778-0x77d irq 7 drq 3 on acpi0
Feb 25 22:37:49 kernel: ppc0: SMC-like chipset (ECP/EPP/PS2/NIBBLE) in COMPATIBLE mode
Feb 25 22:37:49 kernel: ppc0: FIFO with 16/16/13 bytes threshold
Feb 25 22:37:49 kernel: ppc0: [ITHREAD]
Feb 25 22:37:49 kernel: ppbus0: <Parallel port bus> on ppc0
Feb 25 22:37:49 kernel: uart0: <16550 or compatible> port 0x3f8-0x3ff irq 4 flags 0x10 on acpi0
Feb 25 22:37:49 kernel: uart0: [FILTER]
Feb 25 22:37:49 kernel: uart1: <16550 or compatible> port 0x2f8-0x2ff irq 3 on acpi0
Feb 25 22:37:49 kernel: uart1: [FILTER]
Feb 25 22:37:49 kernel: pmtimer0 on isa0
Feb 25 22:37:49 kernel: orm0: <ISA Option ROMs> at iomem 0xc0000-0xc9fff,0xca000-0xcb7ff,0xe0000-0xeffff pnpid ORM0000 on isa0
Feb 25 22:37:49 kernel: sc0: <System console> at flags 0x100 on isa0
Feb 25 22:37:49 kernel: sc0: VGA <16 virtual consoles, flags=0x300>
Feb 25 22:37:49 kernel: vga0: <Generic ISA VGA> at port 0x3c0-0x3df iomem 0xa0000-0xbffff on isa0
Feb 25 22:37:49 kernel: acpi_throttle0: <ACPI CPU Throttling> on cpu0
Feb 25 22:37:49 kernel: Timecounter "TSC" frequency 996770632 Hz quality 800
Feb 25 22:37:49 kernel: Timecounters tick every 1.000 msec
Feb 25 22:37:49 kernel: md0: Preloaded image <initrd.gz> 44040192 bytes at 0xc0c9b000
Feb 25 22:37:49 kernel: usbus0: 12Mbps Full Speed USB v1.0
Feb 25 22:37:49 kernel: driver bug: Unable to set devclass (devname: (null))
Feb 25 22:37:49 kernel: ad0: 19092MB <Seagate ST320414A 3.28> at ata0-master UDMA100 
Feb 25 22:37:49 kernel: ugen0.1: <Intel> at usbus0
Feb 25 22:37:49 kernel: uhub0: <Intel UHCI root HUB, class 9/0, rev 1.00/1.00, addr 1> on usbus0
Feb 25 22:37:49 kernel: acd0: CDROM <Compaq CRD-8484B/1.04> at ata1-master PIO4 
Feb 25 22:37:49 kernel: Root mount waiting for: usbus0
Feb 25 22:37:49 kernel: uhub0: 2 ports with 2 removable, self powered
Feb 25 22:37:49 kernel: Trying to mount root from ufs:/dev/md0
Feb 25 22:37:49 kernel: 18>Setting default module loading path
Feb 25 22:37:49 kernel: 18>Setting up filesystem, please wait ...
Feb 25 22:37:49 kernel: (probe0:ata1:0:0:0): TEST UNIT READY. CDB: 0 0 0 0 0 0 
Feb 25 22:37:49 kernel: (probe0:ata1:0:0:0): CAM status: SCSI Status Error
Feb 25 22:37:49 kernel: (probe0:ata1:0:0:0): SCSI status: Check Condition
Feb 25 22:37:49 kernel: (probe0:ata1:0:0:0): SCSI sense: NOT READY asc:3a,0 (Medium not present)
Feb 25 22:37:49 kernel: cd0 at ata1 bus 0 scbus1 target 0 lun 0
Feb 25 22:37:49 kernel: cd0: <COMPAQ CD-ROM CRD-8484B 1.04> Removable CD-ROM SCSI-0 device 
Feb 25 22:37:49 kernel: cd0: 16.000MB/s transfers
Feb 25 22:37:49 kernel: cd0: Attempt to query device size failed: NOT READY, Medium not present
Feb 25 22:37:49 frontend: Setting debconf/priority to low
Feb 25 22:37:50 init: starting pid 88, tty '': '/sbin/reopen-console /sbin/debian-installer'
Feb 25 22:37:50 init: starting pid 91, tty '/dev/ttyv3': '/usr/bin/tail -f /var/log/syslog'
Feb 25 22:37:50 debconf: Setting debconf/language to en
Feb 25 22:37:50 main-menu[105]: DEBUG: resolver (libc0.1-udeb): package doesn't exist (ignored)
Feb 25 22:38:51 kernel: ugen0.2: <Sharkoon> at usbus0
Feb 25 22:38:51 kernel: umass0: <Sharkoon Flexi-Drive EC2, class 0/0, rev 2.00/1.00, addr 2> on usbus0
Feb 25 22:38:51 kernel: umass0:  SCSI over Bulk-Only; quirks = 0x0000
Feb 25 22:38:52 kernel: umass0:2:0:-1: Attached to scbus2
Feb 25 22:38:53 kernel: (probe0:umass-sim0:0:0:0): TEST UNIT READY. CDB: 0 0 0 0 0 0 
Feb 25 22:38:53 kernel: (probe0:umass-sim0:0:0:0): CAM status: SCSI Status Error
Feb 25 22:38:53 kernel: (probe0:umass-sim0:0:0:0): SCSI status: Check Condition
Feb 25 22:38:53 kernel: (probe0:umass-sim0:0:0:0): SCSI sense: UNIT ATTENTION asc:28,0 (Not ready to ready change, medium may have changed)
Feb 25 22:38:53 kernel: /: optimization changed from TIME to SPACE
Feb 25 22:38:53 kernel: da0 at umass-sim0 bus 0 scbus2 target 0 lun 0
Feb 25 22:38:53 kernel: da0: <Sharkoon Flexi-Drive EC2 PMAP> Removable Direct Access SCSI-0 device 
Feb 25 22:38:53 kernel: da0: 1.000MB/s transfers
Feb 25 22:38:53 kernel: da0: 3936MB (8060928 512 byte sectors: 255H 63S/T 501C)
Feb 25 22:39:41 main-menu[105]: INFO: Menu item 'ethdetect' selected
Feb 25 22:39:41 main-menu[105]: DEBUG: resolver (libc0.1-udeb): package doesn't exist (ignored)
Feb 25 22:40:46 main-menu[105]: INFO: Menu item 'netcfg' selected
Feb 25 22:40:52 main-menu[105]: INFO: Menu item 'netcfg' succeeded but requested to be left unconfigured.
Feb 25 22:40:52 main-menu[105]: DEBUG: resolver (libc0.1-udeb): package doesn't exist (ignored)
Feb 25 22:41:35 init: starting pid 89, tty '/dev/ttyv1': '-/bin/sh'
Feb 25 22:56:56 update-dev: warning: unable to find udevadm; skipping
Feb 25 22:56:56 update-dev: warning: unable to find udevadm; skipping


Also I got the output of lspci:
00:00.0 Host bridge: Intel Corporation 82815 815 Chipset Host Bridge and Memory Controller Hub (rev 04)
00:02.0 VGA compatible controller: Intel Corporation 82815 Chipset Graphics Controller (CGC) (rev 04)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 02)
00:1f.0 ISA bridge: Intel Corporation 82801BA ISA Bridge (LPC) (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801BA IDE U100 Controller (rev 02)
00:1f.4 USB Controller: Intel Corporation 82801BA/BAM USB Controller #1 (rev 02)
00:1f.5 Multimedia audio controller: Intel Corporation 82801BA/BAM AC'97 Audio Controller (rev 02)
02:08.0 Ethernet controller: Intel Corporation 82801BA/BAM/CA/CAM Ethernet Controller (rev 01)

HTH,
Harald




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#614419; Package installation-reports. (Sat, 26 Feb 2011 09:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Figueiredo <elmig@debianpt.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sat, 26 Feb 2011 09:48:03 GMT) Full text and rfc822 format available.

Message #20 received at 614419@bugs.debian.org (full text, mbox):

From: Miguel Figueiredo <elmig@debianpt.org>
To: Harald Geyer <harald@lefant.net>, 614419@bugs.debian.org
Subject: Re: Bug#614419: installation-reports: kfreebsd-i386 netboot installer doesn't detect ethernet device
Date: Sat, 26 Feb 2011 09:45:13 +0000
A Sábado 26 Fevereiro 2011 00:30:32 Harald Geyer você escreveu:

[...]

> Feb 25 22:37:49 kernel: pci2: <network, ethernet> at device 8.0 (no driver
> attached) 

[...]

I din't found your model listed on the supported hardware list:
http://www.freebsd.org/releases/8.2R/hardware.html#ETHERNET

-- 
Melhores cumprimentos/Best regards,

Miguel Figueiredo
http://www.DebianPT.org




Bug reassigned from package 'installation-reports' to 'kfreebsd-8'. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Sat, 26 Feb 2011 15:45:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#614419; Package kfreebsd-8. (Tue, 28 Jun 2011 09:06:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rune <u-debb-iktv@aetey.se>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 28 Jun 2011 09:06:14 GMT) Full text and rfc822 format available.

Message #27 received at 614419@bugs.debian.org (full text, mbox):

From: Rune <u-debb-iktv@aetey.se>
To: 614419@bugs.debian.org
Subject: Ethernet supported by FreeBSD but not Debian/kFreeBSD
Date: Tue, 28 Jun 2011 10:55:28 +0200
Harald Geyer <harald@lefant.net> wrote:

> 02:08.0 Ethernet controller [0200]: Intel Corporation 82801BA/BAM/CA/CAM Ethernet Controller [8086:2449] (rev 01)

Miguel Figueiredo <elmig@debianpt.org> replied:

> I din't found your model listed on the supported hardware list:
> http://www.freebsd.org/releases/8.2R/hardware.html#ETHERNET

I am facing the same problem with the same hardware
and I have tested that this ethernet controller works under
FreeBSD with the fxp(4) driver, which is consistent with the web page
referred to:

 ...
Adapters supported by the fxp(4) driver include:
 ...
 * Many on-board network interfaces on Intel motherboards
 ...

Hope this helps to make Debian/kfreebsd installer work too!

Regards,
Rune





Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#614419; Package kfreebsd-8. (Tue, 28 Jun 2011 09:21:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 28 Jun 2011 09:21:16 GMT) Full text and rfc822 format available.

Message #32 received at 614419@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Harald Geyer <harald@lefant.net>, Rune <u-debb-iktv@aetey.se>, 614419@bugs.debian.org
Subject: Re: Bug#614419: Ethernet supported by FreeBSD but not Debian/kFreeBSD
Date: Tue, 28 Jun 2011 11:27:09 +0200 (CEST)
> I am facing the same problem with the same hardware
> and I have tested that this ethernet controller works under
> FreeBSD with the fxp(4) driver, which is consistent with the web page
> referred to:
>
> ...
> Adapters supported by the fxp(4) driver include:
> ...
> * Many on-board network interfaces on Intel motherboards
> ...
>
> Hope this helps to make Debian/kfreebsd installer work too!

The driver is disabled as it requires non-free firmware.

See #594940:

The following C files contain firmware images in binary-equivalent form
but are not obviously accompanied by the corresponding source code:

sys/dev/fxp/rcvbundl.h
- binaries are packaged in firmware-linux-nonfree as /lib/firmware/e100/*

Petr





Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Mon, 02 Sep 2013 21:18:33 GMT) Full text and rfc822 format available.

Notification sent to Harald Geyer <harald@lefant.net>:
Bug acknowledged by developer. (Mon, 02 Sep 2013 21:18:33 GMT) Full text and rfc822 format available.

Message #37 received at 614419-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 550429-done@bugs.debian.org,570805-done@bugs.debian.org,593733-done@bugs.debian.org,601273-done@bugs.debian.org,602120-done@bugs.debian.org,610252-done@bugs.debian.org,614419-done@bugs.debian.org,631613-done@bugs.debian.org,641167-done@bugs.debian.org,644353-done@bugs.debian.org,644718-done@bugs.debian.org,658617-done@bugs.debian.org,669604-done@bugs.debian.org,687788-done@bugs.debian.org,690986-done@bugs.debian.org,706418-done@bugs.debian.org,720470-done@bugs.debian.org,720476-done@bugs.debian.org,
Cc: kfreebsd-8@packages.debian.org, kfreebsd-8@packages.qa.debian.org
Subject: Bug#721540: Removed package(s) from unstable
Date: Mon, 02 Sep 2013 21:16:43 +0000
Version: 8.3-7+rm

Dear submitter,

as the package kfreebsd-8 has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/721540

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@ftp-master.debian.org.

Debian distribution maintenance software
pp.
Luca Falavigna (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 01 Oct 2013 07:30:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:54:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.